Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util
Class HostMap<TYPE>

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,TYPE>
              org.eclipse.jetty.util.HostMap<TYPE>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,TYPE>

    public class HostMap<TYPE>

extends java.util.HashMap<java.lang.String,TYPE>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`HostMap()` Construct empty HostMap.
`HostMap(int capacity)` Construct empty HostMap.

Method Summary
`TYPE` | `get(java.lang.Object key)`
`java.lang.Object` | `getLazyMatches(java.lang.String host)` Retrieve a lazy list of map entries associated with specified hostname by taking into account the domain suffix matches.
`TYPE` | `put(java.lang.String host, TYPE object)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### HostMap

    public HostMap()

  Construct empty HostMap.

### HostMap

    public HostMap(int capacity)

  Construct empty HostMap.

  Parameters:
    `capacity` - initial capacity

Method Detail

### put

    public TYPE put(java.lang.String host,
                    TYPE object)
             throws java.lang.IllegalArgumentException

  Specified by:
    `put` in interface `java.util.Map<java.lang.String,TYPE>`
  Overrides:
    `put` in class `java.util.HashMap<java.lang.String,TYPE>`
  Throws:
    `java.lang.IllegalArgumentException`
  See Also:
    `HashMap.put(java.lang.Object, java.lang.Object)`

### get

    public TYPE get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,TYPE>`
  Overrides:
    `get` in class `java.util.HashMap<java.lang.String,TYPE>`
  See Also:
    `HashMap.get(java.lang.Object)`

### getLazyMatches

    public java.lang.Object getLazyMatches(java.lang.String host)

  Retrieve a lazy list of map entries associated with specified hostname by taking into account the domain suffix matches.

  Parameters:
    `host` - hostname
  Returns:
    lazy list of map entries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.